%global momorel 3

Summary: Metacity window manager
Name: metacity
Version: 2.30.1
Release: %{momorel}m%{?dist}
URL: http://people.redhat.com/~hp/metacity/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
NoSource: 0
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: pango-devel >= 1.24.0
BuildRequires: startup-notification-devel >= 0.9
BuildRequires: libXcomposite-devel
BuildRequires: libXrender-devel
BuildRequires: libXcursor-devel
BuildRequires: GConf2-devel >= 2.26.0
BuildRequires: libglade2-devel >= 2.6.4
BuildRequires: intltool
BuildRequires: GConf2
Requires: startup-notification

Requires(pre): GConf2

%description
Metacity is a simple window manager that integrates nicely with 
GNOME 2.

%package devel
Summary:        metacity-devel
Group:          Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libglade2-devel
Requires: gtk2-devel
Requires: GConf2-devel
Requires: startup-notification-devel
Requires: pkgconfig
Requires: rarian

%description devel
metacity-devel

%prep
%setup -q

%build
%configure \
    --disable-schemas-install \
    --disable-scrollkeeper \
    --enable-static=no \
    LIBS="-lm"
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
rarian-sk-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/metacity.schemas \
  > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/metacity.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/metacity.schemas \
	> /dev/null || :
fi

%postun
rarian-sk-update

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS HACKING ChangeLog
%{_sysconfdir}/gconf/schemas/metacity.schemas
%{_bindir}/metacity*
%{_libdir}/lib*.so.*
%exclude %{_libdir}/lib*.la
%{_datadir}/metacity
%{_datadir}/gnome/wm-properties/*
%{_datadir}/locale/*/*/*
%{_mandir}/man1/*

%{_datadir}/themes/AgingGorilla/metacity-1/*
%{_datadir}/themes/Atlanta/metacity-1/*
%{_datadir}/themes/Bright/metacity-1/*
%{_datadir}/themes/Crux/metacity-1/*
%{_datadir}/themes/Esco/metacity-1/*
%{_datadir}/themes/Metabox/metacity-1/*
%{_datadir}/themes/Simple/metacity-1/*
%{_datadir}/applications/metacity.desktop
%{_datadir}/gnome-control-center/keybindings/50-metacity-desktop-key.xml
%{_datadir}/gnome-control-center/keybindings/50-metacity-key.xml

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/metacity-1
%{_datadir}/gnome/help/creating-metacity-themes/C/creating-metacity-themes.xml

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1-3m)
- full rebuild for mo7 release

* Tue Jul 27 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.30.1-2m)
- fix build

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Tue Feb 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.28.0-3m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Mon Feb  9 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.144-1m)
- update to 2.25.144

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.0-2m)
- rebuild against rpm-4.6

* Sun Sep 28 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Wed Jul 23 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.22.0-4m)
- change %%preun script (add if block)

* Sat Jun 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-3m)
- add %pre script

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Mon Mar 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.2-1m)
- update to 2.20.2

* Sun Nov 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Sun Sep 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Thu Jul  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.5-1m)
- update to 2.18.5

* Wed Jun 27 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.18.3-3m)
- remove some PreReq (control-center&gnome-session)

* Sun Jun 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.3-2m)
- add some PreReq:

* Tue May 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.3-1m)
- update to 2.18.3

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.2-1m)
- update to 2.18.2

* Sat Apr  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Tue Feb 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.8-1m)
- update to 2.17.8

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.5-4m)
- rewind %%post script (gconftool-2)

* Tue Feb 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.5-3m)
- good-bye %%makeinstall

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.5-2m)
- revice %%post script (gconftool-2)

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.5-1m)
- update to 2.17.5 (unstable)

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.5-1m)
- update to 2.16.5

* Sun Oct  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.3-2m)
- enable compositor

* Thu Oct  5 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.3-1m)
- update to 2.16.3

* Tue Sep 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-1m)
- update to 2.16.2

* Tue Sep 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- update to 2.16.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.14.5-3m)
- rebuild against expat-2.0.0-1m

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.5-2m)
- delete libtool library

* Tue May 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.5-1m)
- update to 2.14.5

* Wed Apr 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-1m)
- update to 2.14.3
 
* Thu Apr 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- update to 2.14.1

* Mon Feb 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.3-2m)
- fix conflict directories

* Sat Feb 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.3-1m)
- update to 2.12.3

* Mon Dec  5 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.2-1m)
- update to 2.12.2
- GNOME 2.12.2 Desktop

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-2m)
- delete autoreconf and make check

* Wed Nov 16 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-1m)
- version up
- GNOME 12.2.1 Desktop

* Tue Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.8-1m)
- version 2.8.8
- GNOME 2.8 Desktop

* Wed Dec 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.1-2m)
- add auto commands before %%build for fix missing lib*.so problem

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (2.8.1-1m)
- version 2.8.1

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.5-1m)
- version 2.6.5
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (2.6.3-2m)
- revised spec for enabling rpm 4.2.

* Mon Jan 26 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.6.3-1m)
- version 2.6.3

* Wed Oct 08 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.6.2-1m)
- version 2.6.2

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.6.1-1m)
- version 2.6.1

* Thu Jul 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.3-1m)
- version 2.5.3

* Tue Jun 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.2-1m)
- version 2.5.2

* Fri Mar 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.34-2m)
- rebuild against for XFree86-4.3.0

* Fri Feb 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.34-1m)
- version 2.4.34

* Wed Jan 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.21-1m)
- version 2.4.21

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.13-1m)
- version 2.4.13

* Fri Jan 3 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.8-2m)
- add BuildPrereq: startup-notification >= 0.4
  for avoid "undefined reference to `sn_startup_sequence_complete'"

* Thu Dec 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.8-1m)
- version 2.4.8

* Thu Nov 28 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.5-1m)
- version 2.4.5

* Tue Nov 26 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.3-2m)
- update to cvs head.
- create -devel package

* Fri Nov  1 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.3-1m)
- version 2.4.3

* Fri Oct  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.2-1m)
- version up

* Sat Sep 21 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (2.4.1-1m)
- version up

* Mon Aug 12 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (2.4.0-2m)
- sumaso, nigiri naoshi

* Mon Aug 12 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (2.4.0-1m)
- Version up

* Wed Jul 31 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (2.3.987-2m)
- Fix %{buildroot} stuff

* Sat Jul 27 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (2.3.987-1m)
- Initial import into momonga head
